<?php
/********************************************************************************
Topic & Board note by Akyhne
Version 1.0.3
********************************************************************************/

// Prevent attempts to access this file directly
if (!defined('SMF'))
	die('Hacking attempt...');

function topicNote_admin_manager($return_config, $page = 'topicnote')
{
	global $txt, $scripturl, $context, $smcFunc, $modSettings;
	
	//
		$title = $txt['topicnote_exp'];
		$topicError = strpos($modSettings['topicnote_html'], '[note]');
		if (!$topicError && strlen($modSettings['topicnote_html']) > 0)
			$title = $title . '<br /><span style="font-weight: bold; color: red; size: 1pt">' . $txt['topicnote_html_warning'] . '!!</span>';
		
		$config_vars = array(
			
			$title,
			array('check', 'topicnote_bbc', 'subtext' => $txt['topicnote_bbc_desc']),
			array('text', 'topicnote_textcolor', 8, 'subtext' => $txt['topicnote_textcolor_desc']),
			array('select', 'topicnote_multiline', array(&$txt['topicnote_multiline_no'], &$txt['topicnote_multiline_yes']), 'subtext' => $txt['topicnote_multiline_desc']),
			'<br /> ',
			array('select', 'topicnote_view', array(&$txt['topicnote_header_view'], &$txt['topicnote_post_view'], &$txt['topicnote_note_view'], &$txt['topicnote_roundframe_view'], &$txt['topicnote_information_view'], &$txt['topicnote_custom_view'])),
			array('text', 'topicnote_html', 16, 'subtext' => $txt['topicnote_html_desc']),
			'<br /> ',
			array('check', 'topicnote_boardnotice', 'subtext' => $txt['topicnote_boardnotice_desc']),
			'<br /> ',
			array('title', 'boardnote_setting'),
			array('select', 'boardnote_view', array(&$txt['boardnote_header_view'], &$txt['boardnote_post_view'], &$txt['boardnote_note_view'], &$txt['boardnote_roundframe_view'], &$txt['boardnote_information_view'], &$txt['boardnote_custom_view'])),
			array('text', 'boardnote_html', 16, 'subtext' => $txt['boardnote_html_desc']),
		);
	
		$context['settings_title'] = $txt['topicnote_setting'];


		if (isset($smcFunc))
		{
			if ($return_config)
				return $config_vars;

			$context['post_url'] = $scripturl . '?action=admin;area=modsettings;sa=topicnote;save';

			if (isset($_GET['save']))
			{
				checkSession();

				if (!empty($config_vars))
					saveDBSettings($config_vars);

				redirectexit('action=admin;area=modsettings;sa=topicnote');
			}
			prepareDBSettingContext($config_vars);
			return true;
		
		}

	return isset($config_vars) ? $config_vars : array();
}
?>